<template>
  <div class="grid min-h-screen bg-gray-100 sm:items-center sm:pt-0">
    <div class="col-8" style="background-color: gray;">
      <div
        class="col-12"
        style="margin: auto; width: 60%; padding-top: 200px;"
      >
        <img
          id="login-logo"
          src="~/assets/logo_pbconv.svg"
          alt="Logo PbConv"
        >
      </div>
      <div class="grid align-items-center justify-content-center" style="background-color: gray;">
        <div class="col-6 justify-content-center" style="text-align: center;">
          <img
            id="login-logo"
            src="~/assets/logo_codata.svg"
            alt="Logo Codata"
          >
        </div>
        <div class="col-6 justify-content-center" style="text-align: center;">
          <img
            id="login-logo"
            src="~/assets/logo_paraiba.png"
            alt="Logo Paráiba"
          >
        </div>
      </div>
    </div>
    <div class="col-4 block" style="padding-top: 100px;">
      <div
        style="
            justify-content: center;
            align-items: center;
            height: 350px;
            padding-top: 10%;
            text-align: center
        "
      >
        <div class="col-12" style="margin-bottom: 20px;">
          <div
            style="margin: auto; width: 30%; height: 30%;"
          >
            <img
              id="login-logo"
              src="~/assets/logo_pbconv.svg"
              alt="Logo Pbconv"
            >
          </div>
        </div>
        <form @submit.prevent="handleSubmit(!v$.$invalid)">
          <div class="col-12 align-items-center">
            <span class="p-float-label p-input-icon-right" style="margin-bottom: 20px;">
              <i class="pi pi-user" />
              <InputText id="username" v-model="cpf" required type="text" />
              <label for="username">CPF*</label>
            </span>
          </div>

          <div class="col-12">
            <span class="p-float-label p-input-icon-right">
              <i class="pi pi-key" />
              <inputText id="password" v-model="password" type="password" required />
              <label for="password">Senha</label>
            </span>
          </div>
          <div class="col-12">
            <Button type="submit" label="Login" />
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import InputText from 'primevue/inputtext'
import Button from 'primevue/button'
import { useVuelidate } from '@vuelidate/core'
export default {
  name: 'SignInPage',
  components: { InputText, Button },
  layout: 'login',
  setup: () => ({ v$: useVuelidate() }),
  data () {
    return {
      cpf: '',
      password: ''
    }
  },
  methods: {
    ...mapActions('login', ['authenticate']),
    handleSubmit () {
      this.$auth.loginWith('local', {
        data: {
          cpf: this.cpf,
          password: this.password
        }
      }).then((result) => {
        this.$auth.setUserToken(result.data.access, result.data.refresh)
          .then(() => {
            this.$toasted.global.defaultSuccess({
              msg: 'Usuário autenticado com sucesso'
            })
          })
        this.$router.push('/')
      }).catch(() => {
        this.$toasted.global.defaultError({
          msg: 'Usuário ou senha inválidos.'
        })
      })
    }
  }
}
</script>
<style>
</style>
